org.apache.maven.shared.io.scan

## Class SimpleResourceInclusionScanner

- java.lang.Object
- - org.apache.maven.shared.io.scan.AbstractResourceInclusionScanner
  - - org.apache.maven.shared.io.scan.SimpleResourceInclusionScanner

All Implemented Interfaces:
  ResourceInclusionScanner

    public class SimpleResourceInclusionScanner
    extends AbstractResourceInclusionScanner

Version:
  $Id: SimpleResourceInclusionScanner.java 1719477 2015-12-11 17:33:58Z khmarbaise $
Author:
  Trygve Laugstøl

### Constructor Summary

Constructors
Constructor and Description
`SimpleResourceInclusionScanner(Set<String> sourceIncludes, Set<String> sourceExcludes)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Set` `getIncludedSources(File sourceDir, File targetDir)`

### Methods inherited from class org.apache.maven.shared.io.scan.AbstractResourceInclusionScanner

`addSourceMapping, getSourceMappings, scanForSources`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleResourceInclusionScanner

    public SimpleResourceInclusionScanner(Set<String> sourceIncludes,
                                          Set<String> sourceExcludes)

Parameters:
  `sourceIncludes` - The source includes.
  `sourceExcludes` - The source excludes.

### Method Detail

#### getIncludedSources

    public Set getIncludedSources(File sourceDir,
                                  File targetDir)
                           throws InclusionScanException

Parameters:
  `sourceDir` - `File`
  `targetDir` - `File`
Returns:
  The included sources.
Throws:
  `InclusionScanException` - in case of an error.